List refunds
curl --request GET \
--url https://api.bachs.io/v1/refunds \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bachs.io/v1/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/refunds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"total": 2,
"items": [
{
"refund_id": "b7f2c41a-9d38-4e6b-8c15-2a7d0e934f61",
"charge_id": "ch_9f4c1d2e7b6a4f8e9c0d1a2b3c4d5e6f",
"reference": "RF-20260713-0042",
"status": "success",
"requested_amount": "29.00",
"refunded_amount": "29.00",
"refund_fee_amount": "0.00",
"fee_bearer": "org",
"reason": "Customer requested cancellation",
"created_at": "2026-07-13T14:20:00.000Z",
"updated_at": "2026-07-13T14:26:41.220Z",
"completed_at": "2026-07-13T14:26:41.220Z"
},
{
"refund_id": "5e91d7c3-84b0-4a26-9df1-6c027b3849ea",
"charge_id": "ch_71c3f8e0a94b25d6c8f10e4a3b975d2c",
"reference": "RF-20260711-0007",
"status": "failed",
"requested_amount": "75000.00",
"refunded_amount": null,
"refund_fee_amount": "0.00",
"fee_bearer": "org",
"reason": "Duplicate order",
"created_at": "2026-07-11T16:02:11.870Z",
"updated_at": "2026-07-11T16:04:58.310Z",
"completed_at": "2026-07-11T16:04:58.310Z"
}
]
}{
"detail": "Invalid request parameters",
"error_code": "VALIDATION_ERROR",
"errors": [
{
"field": "amount",
"message": "Amount must be a positive decimal string",
"type": "value_error"
}
]
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}{
"detail": "API key does not have permission for this operation",
"error_code": "FORBIDDEN"
}{
"detail": "Resource not found",
"error_code": "NOT_FOUND"
}{
"detail": "Rate limit exceeded. Please retry after a few seconds.",
"error_code": "TOO_MANY_REQUESTS"
}{
"detail": "An unexpected error occurred. Please try again later.",
"error_code": "INTERNAL_SERVER_ERROR"
}Refunds
List refunds
Retrieve a paginated list of refunds for your account, ordered from most recent to oldest.
GET
/
v1
/
refunds
List refunds
curl --request GET \
--url https://api.bachs.io/v1/refunds \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bachs.io/v1/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/refunds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"total": 2,
"items": [
{
"refund_id": "b7f2c41a-9d38-4e6b-8c15-2a7d0e934f61",
"charge_id": "ch_9f4c1d2e7b6a4f8e9c0d1a2b3c4d5e6f",
"reference": "RF-20260713-0042",
"status": "success",
"requested_amount": "29.00",
"refunded_amount": "29.00",
"refund_fee_amount": "0.00",
"fee_bearer": "org",
"reason": "Customer requested cancellation",
"created_at": "2026-07-13T14:20:00.000Z",
"updated_at": "2026-07-13T14:26:41.220Z",
"completed_at": "2026-07-13T14:26:41.220Z"
},
{
"refund_id": "5e91d7c3-84b0-4a26-9df1-6c027b3849ea",
"charge_id": "ch_71c3f8e0a94b25d6c8f10e4a3b975d2c",
"reference": "RF-20260711-0007",
"status": "failed",
"requested_amount": "75000.00",
"refunded_amount": null,
"refund_fee_amount": "0.00",
"fee_bearer": "org",
"reason": "Duplicate order",
"created_at": "2026-07-11T16:02:11.870Z",
"updated_at": "2026-07-11T16:04:58.310Z",
"completed_at": "2026-07-11T16:04:58.310Z"
}
]
}{
"detail": "Invalid request parameters",
"error_code": "VALIDATION_ERROR",
"errors": [
{
"field": "amount",
"message": "Amount must be a positive decimal string",
"type": "value_error"
}
]
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}{
"detail": "API key does not have permission for this operation",
"error_code": "FORBIDDEN"
}{
"detail": "Resource not found",
"error_code": "NOT_FOUND"
}{
"detail": "Rate limit exceeded. Please retry after a few seconds.",
"error_code": "TOO_MANY_REQUESTS"
}{
"detail": "An unexpected error occurred. Please try again later.",
"error_code": "INTERNAL_SERVER_ERROR"
}Authorizations
Bearer token authentication. Pass your API key as Authorization: Bearer sk_.... See Authentication for keys, scopes, and sandbox vs production.
Query Parameters
Number of refunds to return. Min 1, max 100. Default 50.
Required range:
1 <= x <= 100Number of refunds to skip before returning results. Default 0.
Required range:
x >= 0Return only refunds in this state. processing: the refund is on its way to the customer. success: the customer has been refunded. failed: the refund did not complete and the money stayed put.
Available options:
processing, success, failed 
